> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vector database

> Retrieve the configuration and status of a specific vector database.



## OpenAPI

````yaml get /v1/flow/vectordb/{database_id}
openapi: 3.1.0
info:
  title: SeekrFlow API
  description: SeekrFlow API Documentation
  termsOfService: http://www.seekr.com/support
  contact:
    name: Seekr API Support
    url: http://www.seekr.com/contact
    email: contact@seekr.com
  version: 5.87.1
servers:
  - url: https://flow.seekr.com
    description: SeekrBuild server base URL
security: []
paths:
  /v1/flow/vectordb/{database_id}:
    get:
      tags:
        - Vector database
      summary: Get vector database
      description: Retrieve the configuration and status of a specific vector database.
      operationId: get_vector_database_route_v1_flow_vectordb__database_id__get
      parameters:
        - name: database_id
          in: path
          required: true
          schema:
            type: string
            title: Database Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VectorDatabaseResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    VectorDatabaseResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        model:
          type: string
          title: Model
        dimension:
          type: integer
          title: Dimension
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        file_count:
          type: integer
          title: File Count
        size_in_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size In Bytes
        db_type:
          anyOf:
            - $ref: '#/components/schemas/DBType'
            - type: 'null'
      type: object
      required:
        - id
        - name
        - model
        - dimension
        - description
        - created_at
        - updated_at
        - file_count
        - db_type
      title: VectorDatabaseResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DBType:
      type: string
      enum:
        - RAG
        - explainability
      title: DBType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Seekr API Key without 'Bearer' Prefix
      in: header
      name: Authorization

````